Util admin API Resource

Abstract class for REST webservices

POST /admin/eventplugins

Add plugin configuration.

Example of request:

{"classId":105,"classLabel":"Building","fieldName":"hd_objcustom2","fieldLabel":"Area (BRA)","pluginName":"CalculatedFieldResolver","configuration":"{\"childClassId\": \"107\", \"childFieldName\": \"hd_objcustom1\", \"perspectiveSetId\":\"8\"}","sequence":1}

Try it out!

Request Body
media type data type description
application/json HdcEventPluginConfigTO (JSON) The specification of plugin's configuration that has to be added.
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with information, whether the adding has or has not been succeeded.

PUT /admin/eventplugins

Update plugin configuration.

Example of request:

{"classId":105,"classLabel":"Building","fieldName":"hd_objcustom2","fieldLabel":"Area (BRA)","pluginName":"CalculatedFieldResolver","configuration":"{\"childClassId\": \"107\", \"childFieldName\": \"hd_objcustom1\", \"perspectiveSetId\":\"8\"}","sequence":1}

Try it out!

Request Body
media type data type description
application/json HdcEventPluginConfigTO (JSON) The specification of plugin's configuration that has to be updated.
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with information, whether the updating has or has not been succeeded.

POST /admin/fielddefaults

Try it out!

Request Body
media type data type
application/json FieldDefaultObjectModel (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

PUT /admin/eventplugins/availability

Set plugin's availability for events

Example of request:

[{"name":"AutoSumResolver","isRunForEvents":false,"applyFieldRules":true},{"name":"MathBasicOperationResolver","isRunForEvents":false,"applyFieldRules":true},{"name":"TextCompounderResolver","isRunForEvents":false,"applyFieldRules":false}]

Try it out!

Request Body
media type data type
application/json array of PluginDescription (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with information, whether the switching availability for event has or has not been succeeded.

GET /admin/eventplugins/json

Information on whether and at what events the plugin is launched.

Try it out!

Response Body
media type data type description
application/json array of PluginDescription (JSON) JSON with list of available plugins

Example of response:

{"list":{"CalculatedFieldResolver":{"events":["ObjectModified"],"isRunForEvents":false},"CustomFieldResolver":{"events":["ObjectModified"],"isRunForEvents":true}}}

GET /admin/fielddefaults/json

Try it out!

Response Body
media type data type description
application/json object (JSON)

GET /admin/eventplugins/config/json

Get plugins configuration.

Try it out!

Response Body
media type data type description
application/json array of HdcEventPluginConfigTO (JSON)

DELETE /admin/eventplugins/{classId}/{fieldName}

Delete plugin configuration.

Try it out!

Request Parameters
name type description default constraints
classId path ID of class   long
fieldName path name of field    
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with information, whether the deleting has or has not been succeeded.

DELETE /admin/fielddefaults/{classId}/{fieldName}

Try it out!

Request Parameters
name type description default constraints
classId path   long
fieldName path    
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

GET /admin/util/clearcaches/json

Clear all HDC caches

Try it out!

Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the clearing has or has not been succeeded.

GET /admin/util/clearhopacache/json

Clear HOPA cache

Try it out!

Response Body
media type data type description
application/json object (JSON) JSON Response with information, whether the clearing has or has not been succeeded.

GET /admin/util/longrunning/json

Get list of currently running processes.

Try it out!

Response Body
media type data type description
application/json array of HdcProcessStateTO (JSON) JSON with list running processes

Example of response:

{"list":[{"processId":"5fed573b-9fcc-48fe-87c9-31a01961f2fe","state":"ErrorInProgress","userName":"Admin","startDate":"Wed Mar 11 11:42:44 CET 2015","operationType":"TdxmImport"}]}

POST /admin/util/scheduledtask/{systemTaskId}

Runs in background scheduled system task of given Id.

Try it out!

Request Parameters
name type description default constraints
systemTaskId path systemTaskId   int
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON with info whether system task started successfully

GET /admin/util/scheduledtasks/json

Get scheduled tasks

Try it out!

Response Body
media type data type description
application/json object (JSON) JSON response with list of scheduled tasks

Example of response:

[{"systemTaskId":1,"taskName":"License Validation","system":true,"lastExecution":"2019-11-19T11:40:24.602770Z","nextExecution":"2019-11-20T12:40:24.519151185+01:00","periodic":true,"processState":"1"},{"systemTaskId":2,"taskName":"Auto Delete Import Packages","system":true,"lastExecution":"2019-11-19T07:41:12.868719Z","nextExecution":"2019-11-20T01:00+01:00","periodic":true,"processState":"1"}]

GET /admin/util/longrunning/json/{processId}

Inspect desired long-running process.

Try it out!

Request Parameters
name type description default constraints
processId path Id of long-running process    
Response Body
media type data type description
application/json HdcProcessStateTO (JSON) JSON with info on requested process

Example of response:

{"stage":"GettingPackageForDb","gettingPackageForDbParams":{},"processId":"5fed573b-9fcc-48fe-87c9-31a01961f2fe","state":"ErrorInProgress","userName":"Admin","startDate":"Wed Mar 11 11:42:44 CET 2015","endDate":"Wed Mar 11 11:42:48 CET 2015","operationType":"TdxmImport"}

GET /admin/util/longrunning/result/{processId}

Try it out!

Request Parameters
name type description default constraints
processId path    
Response Body
media type data type description
application/json object (JSON)
application/pdf object
application/zip object
image/* object

POST /admin/util/longrunning/result/{processId}

Try it out!

Request Parameters
name type description default constraints
processId path    
Response Body
media type data type description
application/json object (JSON)

GET /admin/util/longrunning/result/json/{processId}

Try it out!

Request Parameters
name type description default constraints
processId path    
Response Body
media type data type description
application/json object (JSON)
application/pdf object
application/zip object
image/* object